Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2006 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.portal.tools.wsrp.controls
Interface ProducerRegistryControl

    public interface ProducerRegistryControl

Method Summary
`com.bea.p13n.pagination.SortablePagedResult<com.bea.wsrp.registry.entries.BookEntry>` | `findBooks(int pageSize, com.bea.wsrp.registry.find.FindRequest criteria, String registry, ServletContext sContext, com.bea.portal.tools.common.ResourceContext rContext)` Gets a paged result of books matching a particular search string.
`com.bea.p13n.pagination.SortablePagedResult<com.bea.wsrp.registry.entries.PageEntry>` | `findPages(int pageSize, com.bea.wsrp.registry.find.FindRequest criteria, String registry, ServletContext sContext, com.bea.portal.tools.common.ResourceContext rContext)` Gets a paged result of pages matching a particular search string.
`com.bea.p13n.pagination.SortablePagedResult<com.bea.wsrp.registry.entries.PortletEntry>` | `findPortlets(int pageSize, com.bea.wsrp.registry.find.FindRequest criteria, String registry, ServletContext sContext, com.bea.portal.tools.common.ResourceContext rContext)` Gets a paged result of portlets matching a particular search string.
`com.bea.p13n.pagination.SortablePagedResult<com.bea.wsrp.registry.entries.ProducerEntry>` | `findProducers(int pageSize, com.bea.wsrp.registry.find.FindRequest criteria, String registry, ServletContext sContext, com.bea.portal.tools.common.ResourceContext rContext)` Gets a paged result of producers matching a particular search string.
`Map<String,com.bea.wsrp.registry.RegistryConfig>` | `getAllRegistries(ServletContext sContext, com.bea.portal.tools.common.ResourceContext rContext)` Gets a map of all registry entries for the supplied ServletContext.
`com.bea.wsrp.model.IServiceDescription` | `getServiceDescription(String wsdlUrl, HttpServletResponse response, ServletContext sContext, com.bea.portal.tools.common.ResourceContext rContext)` Gets a service description for a producer given a WSDL URL.

Method Detail

### getAllRegistries

    Map<String,com.bea.wsrp.registry.RegistryConfig> getAllRegistries(ServletContext sContext,
                                                                      com.bea.portal.tools.common.ResourceContext rContext)

  Gets a map of all registry entries for the supplied ServletContext.

  Parameters
    `sContext` - the servlet context.
    `rContext` - the resource context.
  Returns
    a map with registry IDs as the key, and RegistryConfig objects for values.

### findProducers

    com.bea.p13n.pagination.SortablePagedResult<com.bea.wsrp.registry.entries.ProducerEntry> findProducers(int pageSize,
                                                                                                           com.bea.wsrp.registry.find.FindRequest criteria,
                                                                                                           String registry,
                                                                                                           ServletContext sContext,
                                                                                                           com.bea.portal.tools.common.ResourceContext rContext)
                                                                                                           throws com.bea.wsrp.registry.find.FinderException

  Gets a paged result of producers matching a particular search string.

  Parameters
    `pageSize` - the number of results to return per page
    `criteria` - the criteria to use for the search.
    `registry` - The name of the registry configuration to search in.
    `sContext` - the servlet context.
    `rContext` - the resource context
  Returns
    a paged result matching the specified criteria.
  Throws
    `com.bea.wsrp.registry.find.FinderException`

### findPortlets

    com.bea.p13n.pagination.SortablePagedResult<com.bea.wsrp.registry.entries.PortletEntry> findPortlets(int pageSize,
                                                                                                         com.bea.wsrp.registry.find.FindRequest criteria,
                                                                                                         String registry,
                                                                                                         ServletContext sContext,
                                                                                                         com.bea.portal.tools.common.ResourceContext rContext)
                                                                                                         throws com.bea.wsrp.registry.find.FinderException

  Gets a paged result of portlets matching a particular search string.

  Parameters
    `pageSize` - the number of results to return per page
    `criteria` - the criteria to use for the search.
    `registry` - The name of the registry configuration to search in.
    `sContext` - the servlet context.
    `rContext` - the resource context
  Returns
    a paged result matching the specified criteria.
  Throws
    `com.bea.wsrp.registry.find.FinderException`

### findPages

    com.bea.p13n.pagination.SortablePagedResult<com.bea.wsrp.registry.entries.PageEntry> findPages(int pageSize,
                                                                                                   com.bea.wsrp.registry.find.FindRequest criteria,
                                                                                                   String registry,
                                                                                                   ServletContext sContext,
                                                                                                   com.bea.portal.tools.common.ResourceContext rContext)
                                                                                                   throws com.bea.wsrp.registry.find.FinderException

  Gets a paged result of pages matching a particular search string.

  Parameters
    `pageSize` - the number of results to return per page
    `criteria` - the criteria to use for the search.
    `registry` - The name of the registry configuration to search in.
    `sContext` - the servlet context.
    `rContext` - the resource context
  Returns
    a paged result matching the specified criteria.
  Throws
    `com.bea.wsrp.registry.find.FinderException`

### findBooks

    com.bea.p13n.pagination.SortablePagedResult<com.bea.wsrp.registry.entries.BookEntry> findBooks(int pageSize,
                                                                                                   com.bea.wsrp.registry.find.FindRequest criteria,
                                                                                                   String registry,
                                                                                                   ServletContext sContext,
                                                                                                   com.bea.portal.tools.common.ResourceContext rContext)
                                                                                                   throws com.bea.wsrp.registry.find.FinderException

  Gets a paged result of books matching a particular search string.

  Parameters
    `pageSize` - the number of results to return per page
    `criteria` - the criteria to use for the search.
    `registry` - The name of the registry configuration to search in.
    `sContext` - the servlet context.
    `rContext` - the resource context
  Returns
    a paged result matching the specified criteria.
  Throws
    `com.bea.wsrp.registry.find.FinderException`

### getServiceDescription

    com.bea.wsrp.model.IServiceDescription getServiceDescription(String wsdlUrl,
                                                                 HttpServletResponse response,
                                                                 ServletContext sContext,
                                                                 com.bea.portal.tools.common.ResourceContext rContext)
                                                                 throws com.bea.wsrp.consumer.management.producer.ProducerManagerException

  Gets a service description for a producer given a WSDL URL.

  Parameters
    `wsdlUrl` - the WSDL URL of the producer
    `response` - the HttpServletResponse
    `sContext` - the servlet context
    `rContext` - the resource context
  Returns
    the service description for the specified WSDL URL.
  Throws
    `com.bea.wsrp.consumer.management.producer.ProducerManagerException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 BEA Systems, Inc. All Rights Reserved